clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
HICPPTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "../bugprone/UseAfterMoveCheck.h"`
`#include "../cppcoreguidelines/NoMallocCheck.h"`
`#include "../cppcoreguidelines/ProBoundsArrayToPointerDecayCheck.h"`
`#include "../cppcoreguidelines/ProTypeMemberInitCheck.h"`
`#include "../cppcoreguidelines/ProTypeVarargCheck.h"`
`#include "../cppcoreguidelines/SpecialMemberFunctionsCheck.h"`
`#include "../google/DefaultArgumentsCheck.h"`
`#include "../google/ExplicitConstructorCheck.h"`
`#include "../misc/NewDeleteOverloadsCheck.h"`
`#include "../misc/StaticAssertCheck.h"`
`#include "../misc/UndelegatedConstructor.h"`
`#include "../modernize/DeprecatedHeadersCheck.h"`
`#include "../modernize/UseAutoCheck.h"`
`#include "../modernize/UseEmplaceCheck.h"`
`#include "../modernize/UseEqualsDefaultCheck.h"`
`#include "../modernize/UseEqualsDeleteCheck.h"`
`#include "../modernize/UseNoexceptCheck.h"`
`#include "../modernize/UseNullptrCheck.h"`
`#include "../modernize/UseOverrideCheck.h"`
`#include "../performance/MoveConstArgCheck.h"`
`#include "../performance/NoexceptMoveConstructorCheck.h"`
`#include "../readability/BracesAroundStatementsCheck.h"`
`#include "../readability/FunctionSizeCheck.h"`
`#include "../readability/IdentifierNamingCheck.h"`
`#include "ExceptionBaseclassCheck.h"`
`#include "NoAssemblerCheck.h"`
`#include "SignedBitwiseCheck.h"`
Include dependency graph for HICPPTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::hicpp::HICPPModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::hicpp

## Functions
static ClangTidyModuleRegistry::Add< HICPPModule > | clang::tidy::hicpp::X ("hicpp-module", "Adds High-Integrity C++ checks.")

## Variables
volatile int | clang::tidy::HICPPModuleAnchorSource = 0